Johto I need help

Discussion in 'General Discussion' started by PullpettiX_, Nov 19, 2017.

  1. PullpettiX_

    PullpettiX_ New Member

    Hello everyone I ama new pixelmon player and I have pixelmon version 5.1.2 and it says I need 5.1.8 but I don't know where to download it. can someone help me?
  2. _Brokencrystal_

    _Brokencrystal_ Ex-Mod/Omni Sub

    I tried to help you in Discord but I guess you didn't see my message ;-;

    Dropbox https://www.dropbox.com/s/n3qujlviw7dsne4/PixelmonGenerations-1.1.jar?dl=0
    Google Drive https://drive.google.com/file/d/0B2TlVOR6-ajKd01DY2UzTnJBNEE/view?usp=sharing
    MediaFire https://www.mediafire.com/file/gyrgf1okig6ivh4/PixelmonGenerations-1.1.jar
    Technic Pack https://www.technicpack.net/modpack/pixelmon-513-pro.1072839

    Technic you can download and launch straight from there, the other links are for Minecraft launcher with Forge, you'll need to get Forge 1.10.2.
  3. PullpettiX_

    PullpettiX_ New Member

    hi now that i have downloaded it it says invalid session try restarting your game
  4. Tunesical

    Tunesical New Member

    just try restarting mc until you can join, it happens to me when mc is on for too long

Share This Page